Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Functions
compression.h File Reference
`#include <botan/secmem.h>`
`#include <string>`

Go to the source code of this file.

## Classes
class | Botan::Compression_Algorithm
class | Botan::Compression_Stream
class | Botan::Decompression_Algorithm
class | Botan::Stream_Compression
class | Botan::Stream_Decompression

## Namespaces
| Botan

## Functions
Compression_Algorithm * | Botan::make_compressor (const std::string &name)
Decompression_Algorithm * | Botan::make_decompressor (const std::string &name)